import React from 'react';
import { CreateIndexForm } from '../create-index-form/create-index-form';
declare function CreateIndexModal({ isVisible, namespace, error, clearError, inProgress, createIndex, closeCreateIndexModal, ...props }: React.ComponentProps<typeof CreateIndexForm> & {
    isVisible: boolean;
    namespace: string;
    error: string | null;
    clearError: () => void;
    inProgress: boolean;
    createIndex: () => void;
    closeCreateIndexModal: () => void;
}): JSX.Element;
declare const _default: import("react-redux").ConnectedComponent<typeof CreateIndexModal, Omit<{
    fields: {
        name: string;
        type: string;
    }[];
    newIndexField: string | null;
    schemaFields: string[];
    isUnique: boolean;
    isSparse: boolean;
    useIndexName: boolean;
    useTtl: boolean;
    usePartialFilterExpression: boolean;
    useCustomCollation: boolean;
    useWildcardProjection: boolean;
    useColumnstoreProjection: boolean;
    name: string;
    ttl?: string | undefined;
    partialFilterExpression?: string | undefined;
    wildcardProjection: string;
    collationString?: string | undefined;
    columnstoreProjection: string;
    serverVersion: string;
    toggleIsUnique: (isUnique: boolean) => void;
    toggleIsSparse: (isSparse: boolean) => void;
    toggleUseIndexName: (useIndexName: boolean) => void;
    toggleUseTtl: (useTtl: boolean) => void;
    toggleUsePartialFilterExpression: (usePartialFilterExpression: boolean) => void;
    toggleUseWildcardProjection: (useWildcardProjection: boolean) => void;
    toggleUseCustomCollation: (useCustomCollation: boolean) => void;
    toggleUseColumnstoreProjection: (useColumnstoreProjection: boolean) => void;
    nameChanged: (name: string) => void;
    ttlChanged: (ttl: string) => void;
    partialFilterExpressionChanged: (partialFilterExpression: string) => void;
    wildcardProjectionChanged: (wildcardProjection: string) => void;
    collationStringChanged: (collationString: string) => void;
    columnstoreProjectionChanged: (columnstoreProjection: string) => void;
    updateFieldName: (idx: number, name: string) => void;
    updateFieldType: (idx: number, fType: string) => void;
    addField: () => void;
    removeField: (idx: number) => void;
    createNewIndexField: (newField: string) => void;
} & {
    isVisible: boolean;
    namespace: string;
    error: string | null;
    clearError: () => void;
    inProgress: boolean;
    createIndex: () => void;
    closeCreateIndexModal: () => void;
}, "schemaFields" | "inProgress" | "useCustomCollation" | "useIndexName" | "isVisible" | "collationString" | "isUnique" | "useTtl" | "useWildcardProjection" | "useColumnstoreProjection" | "usePartialFilterExpression" | "ttl" | "wildcardProjection" | "columnstoreProjection" | "partialFilterExpression" | "name" | "namespace" | "error" | "serverVersion" | "fields" | "newIndexField" | "isSparse" | "addField" | "createNewIndexField" | "removeField" | "updateFieldName" | "updateFieldType" | "toggleIsUnique" | "toggleUseTtl" | "ttlChanged" | "toggleUsePartialFilterExpression" | "partialFilterExpressionChanged" | "toggleUseCustomCollation" | "collationStringChanged" | "toggleUseWildcardProjection" | "wildcardProjectionChanged" | "toggleUseColumnstoreProjection" | "columnstoreProjectionChanged" | "nameChanged" | "toggleUseIndexName" | "toggleIsSparse" | "clearError" | "createIndex" | "closeCreateIndexModal"> & import("react-redux").ConnectProps>;
export default _default;
//# sourceMappingURL=create-index-modal.d.ts.map