import type { AnyError } from 'mongodb';
export declare type IndexesError = AnyError | string | null | undefined;
export declare enum ActionTypes {
    HandleError = "indexes/error/HANDLE_ERROR",
    ClearError = "indexes/error/CLEAR_ERROR"
}
export declare type HandleErrorAction = {
    type: ActionTypes.HandleError;
    error: IndexesError;
};
declare type ClearErrorAction = {
    type: ActionTypes.ClearError;
};
export declare type Actions = HandleErrorAction | ClearErrorAction;
declare type State = string | null;
export declare const INITIAL_STATE: State;
export default function reducer(state: State | undefined, action: Actions): State;
export declare const handleError: (error: IndexesError) => HandleErrorAction;
export declare const clearError: () => ClearErrorAction;
export {};
//# sourceMappingURL=error.d.ts.map